Bug 1808299 (shuffledns) - Review Request: shuffledns - Wrapper around massdns
Summary: Review Request: shuffledns - Wrapper around massdns
Keywords:
Status: CLOSED RAWHIDE
Alias: shuffledns
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: massdns 1808288
Blocks: FE-SECLAB
TreeView+ depends on / blocked
 
Reported: 2020-02-28 08:38 UTC by Fabian Affolter
Modified: 2020-05-24 15:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-24 15:33:22 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Fabian Affolter 2020-02-28 08:38:20 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/shuffledns.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/shuffledns-1.0.0-1.fc31.src.rpm

Project URL: https://github.com/projectdiscovery/shuffledns

Description:
ShuffleDNS is a wrapper around massdns written in go that allows you to
enumerate valid subdomains using active bruteforce as well as resolve
subdomains with wildcard handling and easy input-output support.

Koji scratch build:
fails, missing deps

rpmlint output:
$ rpmlint shuffledns-1.0.0-1.fc31.src.rpm 
shuffledns.src: W: spelling-error Summary(en_US) massdns -> madness
shuffledns.src: W: spelling-error %description -l en_US massdns -> madness
shuffledns.src: W: spelling-error %description -l en_US subdomains -> sub domains, sub-domains, domains
shuffledns.src: W: spelling-error %description -l en_US bruteforce -> brute force, brute-force, forceful
shuffledns.src: W: spelling-error %description -l en_US wildcard -> wild card, wild-card, wildcat
1 packages and 0 specfiles checked; 0 errors, 5 warnings.

$ rpmlint golang-github-projectdiscovery-shuffledns-devel-1.0.0-1.fc31.noarch.rpm
golang-github-projectdiscovery-shuffledns-devel.noarch: W: spelling-error %description -l en_US subdomains -> sub domains, sub-domains, domains
golang-github-projectdiscovery-shuffledns-devel.noarch: W: spelling-error %description -l en_US bruteforce -> brute force, brute-force, forceful
golang-github-projectdiscovery-shuffledns-devel.noarch: W: spelling-error %description -l en_US wildcard -> wild card, wild-card, wildcat
golang-github-projectdiscovery-shuffledns-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/projectdiscovery/shuffledns/.goipath
1 packages and 0 specfiles checked; 0 errors, 4 warnings.

Fedora Account System Username: fab

Comment 1 Robert-André Mauchin 🐧 2020-03-20 22:33:28 UTC
 - Bump to 1.0.2

 - License ok
 - Builds in mock
 - No rpmlint errors
 - Conforms to Packaging Guidelines

Package approved.

Comment 2 Fabian Affolter 2020-03-21 12:32:09 UTC
Thanks for the review.

Comment 3 Gwyn Ciesla 2020-03-21 14:35:28 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/shuffledns


Note You need to log in before you can comment on or make changes to this bug.